.dropdown {
  position: relative;

  .dropdown-content {
    display: none;
    position: absolute;
    top: 100%;
    right: 0;
    transform: translateY(7%);
    box-shadow: 0 0.4rem 0.6rem 0.2rem rgba(0, 0, 0, 0.2);
    padding: 1.5rem;
    border-radius: 1rem;
    background-color: white;
    max-height: 35rem;
    overflow: auto;
    z-index: 1000;

    &.search-dropdown {
      left: 0;

      .search-thumbnail {
        width: 5rem;
        height: 5rem;
        border: 0.2rem solid transparent;
        border-radius: 50%;
        margin-right: 1rem;
        padding: 0.2rem;

        &.with-story {
          border-color: $color-primary;
        }

        &.viewed {
          border-color: $color-grey-lines;
        }

        img {
          width: 100%;
          height: 100%;
          object-fit: cover;
          border-radius: 50%;
        }
      }

      .content {
        color: $color-grey-dark;
      }

      .email {
        color: $color-grey;
      }
    }

    &.active {
      display: block;
    }

    .search-item {
      padding: 0;
    }

    .item {
      display: flex;
      align-items: center;
      padding: 1rem 0;
      border-bottom: 0.1rem solid $color-grey-lines;
      font-size: 1.6rem;
      cursor: pointer;
      min-width: 7rem;

      &:hover {
        background-color: rgba(0, 0, 0, 0.02);
      }

      &:nth-child(1) {
        padding-top: 0;
      }

      &:last-child {
        border-bottom: unset;
        padding-bottom: unset;
      }
    }

    .date-ago {
      font-size: 1.4rem;
    }

    &::-webkit-scrollbar-button {
      display: none;
    }

    &::-webkit-scrollbar {
      width: 1rem;
    }

    &::-webkit-scrollbar-thumb {
      border-radius: 10rem;
      width: 0.5rem;
      border: 0.2rem solid rgba(0, 0, 0, 0);
      background-clip: padding-box;
      -webkit-border-radius: 7px;
      background-color: rgba(0, 0, 0, 0.15);
      // -webkit-box-shadow: inset -1px -1px 0px rgba(0, 0, 0, 0.05), inset 1px 1px 0px rgba(0, 0, 0, 0.05);
    }
  }
}
